org.apache.sysds.runtime.instructions.spark

## Class MultiReturnParameterizedBuiltinSPInstruction.TransformEncodeBuild2Function

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.MultiReturnParameterizedBuiltinSPInstruction.TransformEncodeBuild2Function

- All Implemented Interfaces:
    Serializable, org.apache.spark.api.java.function.PairFlatMapFunction<Iterator<scala.Tuple2<Long,FrameBlock>>,Integer,FrameBlock.ColumnMetadata>
  Enclosing class:
    MultiReturnParameterizedBuiltinSPInstruction

      public static class MultiReturnParameterizedBuiltinSPInstruction.TransformEncodeBuild2Function
      extends Object
      implements org.apache.spark.api.java.function.PairFlatMapFunction<Iterator<scala.Tuple2<Long,FrameBlock>>,Integer,FrameBlock.ColumnMetadata>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransformEncodeBuild2Function(EncoderMVImpute encoder)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterator<scala.Tuple2<Integer,FrameBlock.ColumnMetadata>>` | `call(Iterator<scala.Tuple2<Long,FrameBlock>> iter)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransformEncodeBuild2Function

          public TransformEncodeBuild2Function(EncoderMVImpute encoder)

  - ### Method Detail

    - #### call

          public Iterator<scala.Tuple2<Integer,FrameBlock.ColumnMetadata>> call(Iterator<scala.Tuple2<Long,FrameBlock>> iter)
                                                                         throws Exception

      Specified by:
        `call` in interface `org.apache.spark.api.java.function.PairFlatMapFunction<Iterator<scala.Tuple2<Long,FrameBlock>>,Integer,FrameBlock.ColumnMetadata>`
      Throws:
        `Exception`

Copyright © 2020 The Apache Software Foundation. All rights reserved.